
Ext.namespace('dSS11');

dSS11.ForwardPanel = Ext.extend(Ext.Panel, 
    {
        constructor: function(config) {
            this.urlParam = config.parameter;

            Ext.apply(this, 
                {
                    layout: 'fit',
                    html: _("Loading") + "...",
                    autoEl: 'div',
                    cls: 'x-margined-green-text',
                    listeners: { activate: this.forward.createDelegate(this) }
                }
            );

            dSS11.ForwardPanel.superclass.constructor.apply(this, arguments);
        },
        forward: function()
        {
            window.location = window.location.protocol + '//' +
                window.location.host + '/dss/setup.html' + '?dss11=1&tab=' + 
                this.urlParam;
        }
    }
);

Ext.reg('dss11fwpanel', dSS11.ForwardPanel);

